---
lang: en
title: 'API docs: authentication.authmetadataprovider._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/authentication
permalink: /doc/en/lb4/apidocs.authentication.authmetadataprovider._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication](./authentication.md) &gt; [AuthMetadataProvider](./authentication.authmetadataprovider.md) &gt; [(constructor)](./authentication.authmetadataprovider._constructor_.md)

## AuthMetadataProvider.(constructor)

Constructs a new instance of the `AuthMetadataProvider` class

**Signature:**

```typescript
constructor(controllerClass: Constructor<{}>, methodName: string, options?: AuthenticationOptions);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  controllerClass | [Constructor](./context.constructor.md)<!-- -->&lt;{}&gt; |  |
|  methodName | string |  |
|  options | [AuthenticationOptions](./authentication.authenticationoptions.md) | _(Optional)_ |


